# Phones

## The phone Object

* [Properties](#properties)
* [phone.properties](#phone.properties)
* [Events](#events)
* [Endpoints](#endpoints)

Represents an app user's mobile phone.

{% tabs %}
{% tab title="Phone" %}
A phone resource.

```json
{
  "created_at": "2025-06-14T16:54:17.946540Z",
  "custom_metadata": { "id": "internalId1" },
  "device_id": "e452f665-a635-4c65-922b-9feab0e0f84f",
  "device_type": "ios_phone",
  "display_name": "My Phone",
  "errors": [],
  "nickname": "My Phone",
  "properties": {
    "assa_abloy_credential_service_metadata": {
      "endpoints": [
        {
          "endpoint_id": "c7d8e9f0-1a2b-3c4d-5e6f-7a8b9c0d1e2f",
          "is_active": true
        }
      ],
      "has_active_endpoint": true
    }
  },
  "warnings": [],
  "workspace_id": "da8639a4-28a2-4884-a4f9-b7691f4cf336"
}
```

{% endtab %}
{% endtabs %}

***

## Properties

**`created_at`** *Datetime*

Date and time at which the phone was created.

***

**`custom_metadata`** *Record*

Optional [custom metadata](https://docs.seam.co/latest/core-concepts/devices/adding-custom-metadata-to-a-device) for the phone.

***

**`device_id`** *UUID*

ID of the phone.

***

**`device_type`** *Enum*

Device type for phones.

<details>

<summary>Enum values</summary>

* `ios_phone`
* `android_phone`

</details>

***

**`display_name`** *String*

Display name of the phone. Defaults to `nickname` (if it is set) or `properties.appearance.name`, otherwise. Enables administrators and users to identify the phone easily, especially when there are numerous phones.

***

**`errors`** *List* *of Objects*

Errors associated with the phone.

<details>

<summary>Child Object Properties</summary>

**`error_code`** *String*

**`message`** *String*

</details>

***

**`nickname`** *String*

Optional nickname to describe the phone, settable through Seam.

***

**`warnings`** *List* *of Objects*

Warnings associated with the phone.

<details>

<summary>Child Object Properties</summary>

**`message`** *String*

**`warning_code`** *String*

</details>

***

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) that contains the phone.

***

## phone.properties

**`assa_abloy_credential_service_metadata`** *Object*

ASSA ABLOY Credential Service metadata for the phone.

<details>

<summary>Child Properties</summary>

* **`endpoints`** *List* *of Objects*

  Endpoints associated with the phone.
* **`endpoint_id`** *String*

  ID of the associated endpoint.
* **`is_active`** *Boolean*

  Indicated whether the endpoint is active.

  * **`has_active_endpoint`** *Boolean*

    Indicates whether the credential service has active endpoints associated with the phone.

</details>

***

**`salto_space_credential_service_metadata`** *Object*

Salto Space credential service metadata for the phone.

<details>

<summary>Child Properties</summary>

* **`has_active_phone`** *Boolean*

  Indicates whether the credential service has an active associated phone.

</details>

***

## Events

**`phone.deactivated`**

A phone device was deactivated.

<details>

<summary>Properties</summary>

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_custom_metadata`** *Record*

Custom metadata of the device; present when device\_id is provided.

**`device_id`** *UUID*

ID of the affected phone device.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `phone.deactivated`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

## Endpoints

[**`/phones/deactivate`**](/latest/api/phones/deactivate.md)

Deactivates a phone, which is useful, for example, if a user has lost their phone. For more information, see [App User Lost Phone Process](https://docs.seam.co/latest/capability-guides/mobile-access/managing-phones-for-a-user-identity#app-user-lost-phone-process).

[**`/phones/get`**](/latest/api/phones/get.md)

Returns a specified [phone](https://docs.seam.co/latest/capability-guides/mobile-access/managing-phones-for-a-user-identity).

[**`/phones/list`**](/latest/api/phones/list.md)

Returns a list of all [phones](https://docs.seam.co/latest/capability-guides/mobile-access/managing-phones-for-a-user-identity). To filter the list of returned phones by a specific owner user identity or credential, include the `owner_user_identity_id` or `acs_credential_id`, respectively, in the request body.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/phones.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
